Home Information Classes Download Usage Mail List Requirements Links Tutorial

# SubNoise Class Reference

STK sub-sampled noise generator. More...

`#include <SubNoise.h>`

Inheritance diagram for SubNoise:

List of all members.

## Public Member Functions

| SubNoise (int subRate=16)
| Default constructor sets sub-sample rate to 16.
| ~SubNoise ()
| Class destructor.
int | subRate (void) const
| Return the current sub-sampling rate.
void | setRate (int subRate)
| Set the sub-sampling rate.
MY_FLOAT | tick ()
| Return a sub-sampled random number between -1.0 and 1.0.

## Detailed Description

STK sub-sampled noise generator.

Generates a new random number every "rate" ticks using the C rand() function. The quality of the rand() function varies from one OS to another.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 18 of file SubNoise.h.

The documentation for this class was generated from the following file:

- SubNoise.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.